这不会那不会 2022-04-26 16:03 采纳率: 66.7%
浏览 89
已结题

maven本地仓库的依赖无法去除

问题遇到的现象和发生背景

因为老版本的依赖有漏洞,客户要求升级xstream1.4.19<的依赖全部升及为1.4.19
但是我看一下我的maven,里面的确是有xstream的依赖且版本比较老
1、在依赖关系网中找打了大量的依赖,但是点击进去都是在jar里面的,感觉应该不可以修改
如图

img

img

img


2、然后又尝试在在依赖外面直接排除这个依赖然后在在层直接加1.4.19版本的,还是失败,依赖依旧存在

img


3、在1.4.10的包下面存放1.4.19
看看是否可以更改1.4.10成1.4.19

img

结果这个依赖的源头我也找不到

因为刚开始同事吧这个交接给我的时候采用的是离线包并不是在线更新的依赖,且项目已经上线一年了,大概比较难收
所以还是想办法解决这个依赖怎么更新比较好

  • 写回答

8条回答 默认 最新

    报告相同问题?

    相关推荐 更多相似问题

    问题事件

    • 已结题 5月3日
    • 赞助了问题酬金5元 4月26日
    • 创建了问题 4月26日

    悬赏问题

    • ¥15 Python算法设计Seam carving--让图片比例随心缩放
    • ¥15 页面制作,HTML CSS
    • ¥15 通个批处理实现 win7和win10 修改或设置:显示操作系统列表时间为2秒
    • ¥20 报错:Unsupported class file major version 59
    • ¥18 如何使用c++语言完成网站用户管理系统?(语言-c++)
    • ¥15 用ASP代码实现跨站脚本攻击
    • ¥15 自己写的c语言程序报错
    • ¥50 ABP中怎样接收vue上传的图片
    • ¥15 uniapp设置音频的倍速播放无效
    • ¥15 关于#hc#的问题,如何解决?